BMA EHR API Document

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BMA.EHR.Application.Repositories.MessageQueue.InboxRepository Class Reference
Inheritance diagram for BMA.EHR.Application.Repositories.MessageQueue.InboxRepository:

## Public Member Functions
| InboxRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< List< InboxResponse > > | GetMyInboxAsync ()
async Task | DeleteMyInboxAsync (Guid id)
async Task | GetByIdMyInboxAsync (Guid id)
Public Member Functions inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, Inbox >
| GenericRepository (IApplicationDBContext dbContext, IHttpContextAccessor httpContextAccessor)
async Task< Guid > | GetProfileOrganizationAsync (string citizenId)
async Task< bool > | CheckIsActiveOfficerAsync (string citizenId)
virtual async Task< IReadOnlyList< T > > | GetAllAsync ()
virtual async Task< T?> | GetByIdAsync (S id)
virtual async Task< T > | AddAsync (T entity)
virtual async Task< T > | UpdateAsync (T entity)
virtual async Task | DeleteAsync (T entity)

## Additional Inherited Members
Properties inherited from BMA.EHR.Application.Repositories.GenericRepository< Guid, Inbox >
string? | UserId`[get]`
string? | FullName`[get]`
bool? | IsPlacementAdmin`[get]`

## Constructor & Destructor Documentation

## ◆ InboxRepository()

BMA.EHR.Application.Repositories.MessageQueue.InboxRepository.InboxRepository | ( | IApplicationDBContext | dbContext,
|  | IHttpContextAccessor | httpContextAccessor
| ) |  |
| inline

## Member Function Documentation

## ◆ DeleteMyInboxAsync()

async Task BMA.EHR.Application.Repositories.MessageQueue.InboxRepository.DeleteMyInboxAsync | ( | Guid | id | ) |
| inline

## ◆ GetByIdMyInboxAsync()

async Task BMA.EHR.Application.Repositories.MessageQueue.InboxRepository.GetByIdMyInboxAsync | ( | Guid | id | ) |
| inline

## ◆ GetMyInboxAsync()

async Task< List< InboxResponse > > BMA.EHR.Application.Repositories.MessageQueue.InboxRepository.GetMyInboxAsync | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- BMA.EHR.Application/Repositories/MessageQueue/InboxRepository.cs